Bug 1328139 - host facet api 'view' shows 'content' and 'subscriptions', while update/create accepts 'content_facet_attributes' and 'subscription_facet_attributes'
Summary: host facet api 'view' shows 'content' and 'subscriptions', while update/crea...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: API
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: Unspecified
Assignee: Justin Sherrill
QA Contact: jcallaha
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-04-18 14:44 UTC by Justin Sherrill
Modified: 2019-09-25 21:19 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-27 11:09:30 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 14677 None None None 2016-04-22 15:44:25 UTC

Description Justin Sherrill 2016-04-18 14:44:41 UTC
Currently when creating or updating a host, the user specifies  content_facet_attributes and subscription_facet_attributes

but the rabl currently outputs  'content' and 'subscriptions'.  We should make these two the same if possible



11435

Comment 1 Justin Sherrill 2016-04-18 14:44:43 UTC
Created from redmine issue http://projects.theforeman.org/issues/14677

Comment 2 Justin Sherrill 2016-04-18 14:44:46 UTC
Upstream bug assigned to jsherril@redhat.com

Comment 4 jcallaha 2016-05-27 18:31:55 UTC
Verified in Satellite 6.2 Beta Snap 13.

view not mirrors the attribute names in create/update. The longer forms ('content_facet_attributes', 'subscription_facet_attributes') have been selected.

Comment 5 Bryan Kearney 2016-07-27 11:09:30 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2016:1501


Note You need to log in before you can comment on or make changes to this bug.